%define name      Hyperlatex
%define ver       2.5
%define rel       1
%define prefix    /usr

Summary: Use LaTeX to make LaTeX and HTML documents
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Applications/Publishing
URL: http://www.cs.ust.hk/~otfried/Hyperlatex/
Source0: ftp://ftp.cs.uni-magdeburg.de/pub/ipe/%{name}-%{ver}.tar.gz
Patch0: %{name}-%{ver}-%{rel}.patch0
Patch1: %{name}-%{ver}-%{rel}.patch1
Prereq: /usr/bin/emacs
Requires: emacs
Requires: tetex-latex
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root
Packager: Danny Sung <dannys@mail.com>

%description
Hyperlatex allows you to use a LaTeX-like language to prepare
documents in HTML , and, at the same time, to produce a fine printed
document from your input. You can use all of LaTeX's power for the
printed output, and you don't have to learn a new language for
creating hypertext documents.

Note that Hyperlatex is not meant to translate arbitrary Latex files
into Html. Rather, it provides an authoring environment for writing
printed documents and Html documents at the same time, using an
extended subset of Latex (excluding concepts that have no Html
counterpart and adding commands for new Html concepts such as
hyperlinks or included images).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/texmf/tex/latex/misc/
install -m644 hyperlatex.sty ${RPM_BUILD_ROOT}%{_prefix}/share/texmf/tex/latex/misc

mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/hyperlatex
install -m644 *.el *.hlx ${RPM_BUILD_ROOT}%{_prefix}/lib/hyperlatex/
install -m644 *.gif ${RPM_BUILD_ROOT}%{_prefix}/lib/hyperlatex/
install -m644 *.awk ${RPM_BUILD_ROOT}%{_prefix}/lib/hyperlatex/

mkdir ${RPM_BUILD_ROOT}%{_prefix}/bin
HYPERLATEX_DIR=%{_prefix}/lib/hyperlatex
SAFE_HYPERLATEX_DIR=`echo $HYPERLATEX_DIR | sed 's/\//\\\\\//g'`
cat hyperlatex | sed \
   's/HYPERLATEX_DIR=.*/HYPERLATEX_DIR='"$SAFE_HYPERLATEX_DIR"'/' > ${RPM_BUILD_ROOT}%{_prefix}/bin/hyperlatex

chmod 755 ${RPM_BUILD_ROOT}%{_prefix}/bin/hyperlatex

install -m755 ps2gif ${RPM_BUILD_ROOT}%{_prefix}/bin/ps2gif

( cd ${RPM_BUILD_ROOT}%{_prefix}/lib/hyperlatex/ && emacs -batch -q -no-site-file -l hyperlatex.el -f hyperlatex-compile )

%post
mktexlsr


%postun
mktexlsr

%preun

%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README hyperlatex.tex hyperlatex.ind
%{_prefix}/bin/*
%{_prefix}/lib/hyperlatex/
%{_prefix}/share/texmf/tex/latex/misc/*


%changelog
* Wed Jun 14 2000 Danny Sung <dannys@mail.com>
- Initial RPM made

